## python-openshift 0.13.1

=== requirements.txt ===
kubernetes ~= 21.7.0
python-string-utils
six

=== debian/changelog ===
python-openshift (0.13.1-3) unstable; urgency=medium

  Migration:
   - Testing framework 'Nose' to use 'Nose2'. (Closes: #1018546)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 28 Nov 2022 10:45:56 -0300

python-openshift (0.13.1-2) unstable; urgency=medium

  * No-changes source-only upload to unstable.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 28 Nov 2022 10:45:48 -0300

python-openshift (0.13.1-1) unstable; urgency=medium

  * Initial release. (Closes: #932919)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 11 Aug 2022 12:39:37 -0300

=== debian/control ===
Source: python-openshift
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-nose2 <!nocheck>,
               python3-setuptools,
               python3-kubernetes,
               python3-requests,
               python3-six,
               python3-jinja2,
               python3-ruamel.yaml,
               python3-requests-oauthlib,
               python3-sphinx <!nodoc>,
               python3-recommonmark <!nodoc>,
               python3-pytest-cov,
               python3-pytest,
               python3-flake8,
               python3-coverage
Standards-Version: 4.6.1
Homepage: https://github.com/openshift/openshift-restclient-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-openshift
Vcs-Git: https://salsa.debian.org/python-team/packages/python-openshift.git

Package: python3-openshift
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-openshift-doc
Description: Python client for the OpenShift API (Python 3)
 Python client for the Kubernetes and OpenShift APIs.
 There are two ways this project interacts with the Kubernetes and OpenShift
 APIs. The first, now deprecated, is to use models and functions generated
 with swagger from the API spec. The second, new approach, is to use a single
 model and client to generically interact with all resources on the server.
 The dynamic client also works with resources that are defined by aggregated
 API servers or Custom Resource Definitions.
 .
 This package installs the library for Python 3.

Package: python-openshift-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python client for the OpenShift API (common documentation)
 Python client for the Kubernetes and OpenShift APIs.
 There are two ways this project interacts with the Kubernetes and OpenShift
 APIs. The first, now deprecated, is to use models and functions generated
 with swagger from the API spec. The second, new approach, is to use a single
 model and client to generically interact with all resources on the server.
 The dynamic client also works with resources that are defined by aggregated
 API servers or Custom Resource Definitions.
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = openshift

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html # HTML generator

override_dh_auto_test:
	dh_auto_test -- --test-nose2

# scripts/ are not provided in the Debian package, please see debian/README.Debian.
override_dh_python3:
	dh_python3
	rm -rf debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages/scripts

## python-openshift 0.13.2

=== Makefile ===
.PHONY: test

ARTIFACT_DIR ?= ./

test: test-lint test-unit test-integration

test-lint:
	flake8 .

test-unit:
	pytest test/unit -v -r s

test-integration:
	pytest test/integration -v -r s

=== debian/changelog ===
python-openshift (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2.
  * debian/control: bump Standards-Version to 4.6.2.
  * debian/copyright: update packaging copyright years.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 08 Dec 2023 14:51:29 -0300

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-pytest,
                python3-flake8,
                python3-coverage
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/openshift/openshift-restclient-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-openshift
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-openshift.git

=== debian/watch ===
version=4
 https://github.com/openshift/openshift-restclient-python/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
